package log

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type IpLogRouter struct {

}

func (e *IpLogRouter) InitIpLogRouter(Router *gin.RouterGroup) {
	ipLogRouter := Router.Group("ipLog")
	logApi := v1.ApiGroupApp.LogApiGroup.ApiIpLog
	{
		ipLogRouter.POST("getIpLogList", logApi.GetIpLogList)	//获取ip日志列表
		ipLogRouter.POST("getIp", logApi.GetIp)	//获取ip
		ipLogRouter.POST("getGameIpList", logApi.GetGameIPList)	//获取ip日志列表
		ipLogRouter.POST("getGameIp", logApi.GetGameIp)	//获取游戏ip
		ipLogRouter.POST("gameIpExport", logApi.GameIpExport)	//导出游戏ip列表
	}
}

